package pp.s1184725.boppi.type;

/**
 * An interface for types that are stored in dynamic memory.
 * 
 * @author Frank Wibbelink
 */
public interface ReferenceType extends Type {

	/**
	 * Returns the size of the object this type references.
	 * @return the size (in bytes) of the referenced object
	 */
	public int getReferenceSize();
}
